CREATE TABLE mnt_learning_runs (
    RUN_ID                    NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    RUN_TYPE_CODE             VARCHAR2(120) ,
    RUN_TIMESTAMP             TIMESTAMP(6)  ,
    EXTRACTION_TYPE_CODE      VARCHAR2(120) ,
    DATA_SET_ID               NUMBER(18, 0) ,
    BICC_REQUEST_ID           NUMBER(18, 0) ,
    LEARNING_WORKFLOW_ID      VARCHAR2(144) ,
    LEARNING_THREAD_ID        VARCHAR2(144) ,
    RELIABILITY_RATE          NUMBER        ,
    UTILIZATION_RATE          NUMBER        ,
    RELIABILITY_TOLERANCE     NUMBER        ,
    UTILIZATION_TOLERANCE     NUMBER        ,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    RUN_ID                    NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    RUN_TYPE_CODE             VARCHAR2(120) ,
    RUN_TIMESTAMP             TIMESTAMP(6)  ,
    EXTRACTION_TYPE_CODE      VARCHAR2(120) ,
    DATA_SET_ID               NUMBER(18, 0) ,
    BICC_REQUEST_ID           NUMBER(18, 0) ,
    LEARNING_WORKFLOW_ID      VARCHAR2(144) ,
    LEARNING_THREAD_ID        VARCHAR2(144) ,
    RELIABILITY_RATE          NUMBER        ,
    UTILIZATION_RATE          NUMBER        ,
    RELIABILITY_TOLERANCE     NUMBER        ,
    UTILIZATION_TOLERANCE     NUMBER        ,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    CONSTRAINT pk_mnt_learning_runs PRIMARY KEY (RUN_ID, RUN_ID)
);
